Package com.avaya.clientservices.call

## Enum Call.IncomingVideoStatus

- java.lang.Object
- - java.lang.Enum<Call.IncomingVideoStatus>
  - - com.avaya.clientservices.call.Call.IncomingVideoStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Call.IncomingVideoStatus>`
  Enclosing interface:
    Call

      public static enum Call.IncomingVideoStatus
      extends java.lang.Enum<Call.IncomingVideoStatus>

  Enum Indicating the video availability in an incoming call.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SUPPORTED` |
    `UNKNOWN` |
    `UNSUPPORTED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Call.IncomingVideoStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Call.IncomingVideoStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSUPPORTED

          public static final Call.IncomingVideoStatus UNSUPPORTED

    - #### UNKNOWN

          public static final Call.IncomingVideoStatus UNKNOWN

    - #### SUPPORTED

          public static final Call.IncomingVideoStatus SUPPORTED

  - ### Method Detail

    - #### values

          public static Call.IncomingVideoStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Call.IncomingVideoStatus c : Call.IncomingVideoStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Call.IncomingVideoStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null